Tss2_TctiLdr_Finalize(3)

NAME
Tss2_TctiLdr_Finalize - Function to finalize a TCTI context instantiated by the Tss2_TctiLdr_Initialize function.

SYNOPSIS
#include <tss2/tss2_tctildr.h>

TSS2_RC Tss2_TctiLdr_Finalize (TSS2_TCTI_CONTEXT **CONTEXT);

DESCRIPTION
The Tss2_TctiLdr_Finalize() function destroys an instance of a TCTI context instantiated by the Tss2_TctLdr_Initialize() function. It also frees any resources associated with loading the required TCTI library.

The context parameter is a double pointer to a TCTI context. When successfully finalized the provided reference will be set to NULL by the function.

RETURN VALUE
This function returns no value.

EXAMPLE
Example code.

#include <inttypes.h>
#include <stdlib.h>
#include <stdio.h>
#include <tss2/tss2_tctildr.h>
TSS2_TCTI_CONTEXT *ctx = NULL;
TSS2_RC rc = Tss2_TctiLdr_Initialize (NULL, NULL, &ctx);
if (rc != TSS2_RC_SUCCESS) {
    fprintf (stderr, "Initialization of default TCTI context failed with "
             "response code: 0x%" PRIx32 ", rc);
    exit (EXIT_FAILURE);
}
if (ctx != NULL)
    Tss2_TctiLdr_Finalize (&ctx);
exit (EXIT_SUCCESS);

AUTHOR
TPM2 Software Project <https://github.com/tpm2-software/tpm2-tss>

SEE ALSO
Tss2_Tcti_Device_Init(3), Tss2_Tcti_Socket_Init(3), Tss2_TctiLdr_Initialize(3), Tss2_TctiLdr_Finalize(3), tcti-device(7), tcti-socket(7), tcti-tabrmd(7), tpm2-abrmd(8)

COLOPHON
This page is part of release 4.0.2 of Open Source implementation of the TCG TPM2 Software Stack (TSS2). A description of the project, information about reporting bugs, and the latest version of this page can be found at https://github.com/tpm2-software/tpm2-tss/.